# Changelog

All notable changes to this project will be documented in this file.

## [Unreleased]


## [1.2.3-diversion.4] - 2022-07-28

### Changed

-   Update base driver to [v2.3.2-diversion.4](https://gitlab.com/operator-ict/golemio/code/db-migrate-base/-/releases/v2.3.2-diversion.3)

## [1.2.3-diversion.3] - 2022-02-02

### Changed

-   Update base driver to [v2.3.2-diversion.3](https://gitlab.com/operator-ict/golemio/code/db-migrate-base/-/releases/v2.3.2-diversion.3)


---
# Changelog (pre-fork)

## [0.5.1](https://github.com/db-migrate/pg/compare/v0.5.0...v0.5.1) (2019-05-13)


### Bug Fixes

* **addForeignKey:** pass joined strings to `util.format` ([21cbfe5](https://github.com/db-migrate/pg/commit/21cbfe5))



<a name="0.5.0"></a>
# [0.5.0](https://github.com/db-migrate/pg/compare/v0.4.0...v0.5.0) (2019-02-11)


### Features

* **defaultValue:** add advanced handling for defaultValues ([a13c0e0](https://github.com/db-migrate/pg/commit/a13c0e0))
* **defaultValue:** add support for timestamps and add internal handling ([46f01a2](https://github.com/db-migrate/pg/commit/46f01a2))



<a name="0.4.0"></a>
# [0.4.0](https://github.com/db-migrate/pg/compare/v0.3.1...v0.4.0) (2018-04-02)


### Bug Fixes

* **version:** fallback to string based check ([8b6b958](https://github.com/db-migrate/pg/commit/8b6b958)), closes [#32](https://github.com/db-migrate/pg/issues/32)
* **version:** use server_version_num instead of server_version ([ba07af7](https://github.com/db-migrate/pg/commit/ba07af7))



<a name="0.3.1"></a>
## [0.3.1](https://github.com/db-migrate/pg/compare/v0.3.0...v0.3.1) (2018-02-11)


### Bug Fixes

* **timezone:** with timezone being emitted to late ([2d3f10d](https://github.com/db-migrate/pg/commit/2d3f10d))
* **vuln:** update vulnerable dependency ([c409048](https://github.com/db-migrate/pg/commit/c409048))



<a name="0.3.0"></a>
# [0.3.0](https://github.com/db-migrate/pg/compare/v0.2.5...v0.3.0) (2018-01-27)


### Bug Fixes

* 10.1 version ([c4a8de4](https://github.com/db-migrate/pg/commit/c4a8de4))
* unhandled error event on connection ([c19d201](https://github.com/db-migrate/pg/commit/c19d201))


### Features

* Connect to postgres db on empty database configuration ([e98f32e](https://github.com/db-migrate/pg/commit/e98f32e))



<a name="0.2.5"></a>
## [0.2.5](https://github.com/db-migrate/pg/compare/v0.2.4...v0.2.5) (2017-08-14)



<a name="0.2.4"></a>
## [0.2.4](https://github.com/db-migrate/pg/compare/v0.2.3...v0.2.4) (2017-06-25)



<a name="0.2.3"></a>
## [0.2.3](https://github.com/db-migrate/pg/compare/v0.2.2...v0.2.3) (2017-06-25)



<a name="0.2.2"></a>
## [0.2.2](https://github.com/db-migrate/pg/compare/v0.2.1...v0.2.2) (2017-06-25)



<a name="0.2.1"></a>
## [0.2.1](https://github.com/db-migrate/pg/compare/v0.2.0...v0.2.1) (2017-06-25)



<a name="0.2.0"></a>
# [0.2.0](https://github.com/db-migrate/pg/compare/v0.1.15...v0.2.0) (2017-06-25)



<a name="0.1.15"></a>
## [0.1.15](https://github.com/db-migrate/pg/compare/v0.1.14...v0.1.15) (2017-06-25)



<a name="0.1.14"></a>
## [0.1.14](https://github.com/db-migrate/pg/compare/v0.1.13...v0.1.14) (2017-06-25)



<a name="0.1.13"></a>
## [0.1.13](https://github.com/db-migrate/pg/compare/v0.1.12...v0.1.13) (2017-06-25)



<a name="0.1.12"></a>
## [0.1.12](https://github.com/db-migrate/pg/compare/v0.1.11...v0.1.12) (2017-06-25)


### Bug Fixes

* **docs:** added example npm install to readme ([336d468](https://github.com/db-migrate/pg/commit/336d468))



<a name="0.1.11"></a>
## [0.1.11](https://github.com/db-migrate/pg/compare/v0.1.10...v0.1.11) (2016-10-19)


### Bug Fixes

* **spec:** defaultValue should be checked for undefined only ([37a471c](https://github.com/db-migrate/pg/commit/37a471c))


### Features

* **tests:** move tests into the repo of the driver ([61dc9e1](https://github.com/db-migrate/pg/commit/61dc9e1))



<a name="0.1.10"></a>
## [0.1.10](https://github.com/db-migrate/pg/compare/v0.1.9...v0.1.10) (2016-05-12)


### Bug Fixes

* **upstream:** update postgres dependency ([d9212b8](https://github.com/db-migrate/pg/commit/d9212b8)), closes [#9](https://github.com/db-migrate/pg/issues/9)



<a name="0.1.9"></a>
## [0.1.9](https://github.com/db-migrate/pg/compare/v0.1.8...v0.1.9) (2016-02-03)


### Bug Fixes

* **upstream:** bump upstream package to fix dropTable bug ([e935679](https://github.com/db-migrate/pg/commit/e935679))



<a name="0.1.8"></a>
## [0.1.8](https://github.com/db-migrate/pg/compare/v0.1.7...v0.1.8) (2016-01-27)


### Bug Fixes

* **api:** drop table overwrite options on promises ([886b8f5](https://github.com/db-migrate/pg/commit/886b8f5))



<a name="0.1.7"></a>
## [0.1.7](https://github.com/db-migrate/pg/compare/v0.1.6...v0.1.7) (2016-01-04)



<a name="0.1.6"></a>
## [0.1.6](https://github.com/db-migrate/pg/compare/v0.1.5...v0.1.6) (2015-11-04)



<a name="0.1.5"></a>
## [0.1.5](https://github.com/db-migrate/pg/compare/v0.1.4...v0.1.5) (2015-10-20)



<a name="0.1.4"></a>
## [0.1.4](https://github.com/db-migrate/pg/compare/v0.1.3...v0.1.4) (2015-09-10)



<a name="0.1.3"></a>
## [0.1.3](https://github.com/db-migrate/pg/compare/v0.1.2...v0.1.3) (2015-09-10)



<a name="0.1.2"></a>
## [0.1.2](https://github.com/db-migrate/pg/compare/v0.1.1...v0.1.2) (2015-09-10)



<a name="0.1.1"></a>
## 0.1.1 (2015-09-08)



